fotocx (25.0-1xtradeb1.2404.1.1~3rdp4r7yr3p0~1) noble; urgency=medium

  * Non-maintainer upload.
  * OBS home:3rdp4r7yr3p0 Rebuild/Re-Packaging.

 -- 3rdp4r7yr3p0 <3rdp4r7yr3p0@gmail.com>  Wed, 29 Jan 2025 16:37:04 +0000

fotocx (25.0-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 27 Jan 2025 23:07:28 +0100

fotocx (24.70-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 24 Nov 2024 18:55:46 +0100

fotocx (24.50-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 02 Jul 2024 12:30:58 +0200

fotocx (24.40-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Fri, 07 Jun 2024 08:35:00 +0200

fotocx (24.30-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 14 May 2024 21:35:57 +0200

fotocx (24.21-1xtradeb1.2404.1) noble; urgency=medium

  * Rebuild for noble

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 24 Apr 2024 13:31:55 +0200

fotocx (24.21-1xtradeb1.2204.1) jammy; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 04 Apr 2024 13:26:17 +0200

fotocx (24.20-1xtradeb1.2204.1) jammy; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 02 Apr 2024 08:55:18 +0200

fotocx (24.11-1~xtradeb1) jammy; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 13 Feb 2024 12:30:00 +0100

fotoxx (23.82-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
  * Bugfix
   - Crash for locales using a 'comma' for decimal point.
     (GTK initialization replaces process locale with system locale)

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 16 Dec 2023 13:14:54 +0100

fotoxx (23.81-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
  * Bugfix
   - Possible crash if location metadata is present but incomplete.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 10 Dec 2023 17:28:27 +0100

fotoxx (23.80-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - New: Effects > Blobs: pixels attract each-other and condense into blobs
     around local centers of mass (mass == pixel brightness).
   - "exiftool -n orientation=1" replaced "exiftool orientation=horizontal"
     (only for consistency - should not make a difference in functionality).
   - User Guide: format revised to better handle text line wrapping.
   - Bugfix: Copy/Move: menus not working if current file moved elsewhere (but
     recover OK when new file is opened).

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 04 Dec 2023 08:13:36 +0100

fotoxx (23.74-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
  * New
   - Edit > Upright: one-button image upright function (±90 or 180 degrees).
     EXIF orientation parameter is used to determine the direction required.
  * Bugfix
   - Rotate: if rotate angle is exactly ±90 or 180 degrees, do not perform a
     small sharpening of the rotated image. It is already perfect.
   - When an image is rotated or uprighted, set exif orientation=1 instead of
     deleting it.
   - Edit Meta: delete location/country did not delete geocoordinates.
   - Stop [harmless] "not replaced" log messages during startup.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 01 Nov 2023 21:36:35 +0100

fotoxx (23.72-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - HDR, HDF: Improved alignment: compensate greater camera motion between
     photos.
   - Flatten Distribution: small improvement in user interface.
   - Bugfix
    - HDR: Restore ability to align images with large exposure difference.
    - do not show top panel if fullscreen view mode.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 26 Oct 2023 07:48:11 +0200

fotoxx (23.70-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Settings: A picklist was added for RAW file conversion tools/parameters.
     Options can be tailored for different cameras, ISO settings, etc.
   - Select Area: Selection of complex features (hair, foliage) is faster and
     easier (special Copy Complex function is no longer needed and was removed).
   - Startup file on command line: embedded blanks will work without quotes.
   - Copy/Move: Made easier to copy and rename multiple files with less typing.
   - Blending area edits is now a separate function with greater flexibility.
     Area edits can be blended with any prior edit step. All edges can be
     blended over a specified width (as before), or the mouse can be used to
     blend any part of an area edit with the chosen prior edit step.
   - Panorama: auto brightness matching was discarded in favor of user control.
     (Slower but often better. Occasional color cast problem is avoided.)
   - User Guide: embedded images were updated and made a little larger.
   - User Guide: new topic: make an image from a color slide or color negative.
   - User Guide: new topic: upscale an image with optimum sharpness and detail.
   - Bugfix: Edit Any Metadata: using the full keyname picklist was not working.
   - Bugfix: Retouch: possible crash if [OK] is pressed when in gallery view.
   - Bugfix: Margins: possible crash if margins are increased very rapidly.
   - Bugfix: possible false warning about unsaved edits when opening a new file.
   - Bugfix: Fix Motion Blur: some image edge regions were not being processed.
   - Bugfix: Rotate > Mirror and > Auto Upright: image may get reduced in size.
   - Bugfix: Workaround: parallel exiftool threads limited to 20K files each
     (?).
   - Bugfix: 'Combine' functions did not block attempted parallel edits: crash.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 02 Oct 2023 19:25:43 +0200

fotoxx (23.60-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Repair > JPEG Artifacts: improved algorithm works significantly better.
   - Multi-image functions like HDR and Panorama now contain a list of input
     image files in the metadata edit history.
   - Internal sort functions now use 4 threads for a small performance gain.
   - Gallery thumbnails have two larger options: 724 and 1024 pixels wide.
     These are useful for comparing/pruning multiple photos or image versions.
     Gallery scroll may be slow - these large thumbnails are created on the fly.
   - Mashup: image size limits were made 2x greater, and the interactive
     responsiveness for large projects was improved.
   - World Map file increased to 547m pixels - marker separations are 2x
     greater.
   - Effects > Painting: additional input control and improved algorithm.
   - New: Effects > Engrave: convert an image into black and white lines.
   - New: Effects > Tiles2: irregular image tiling to match image features.
   - Gallery > Select Files: reworked for more flexibility and UI improvements.
   - Search: new capability: exclude files with specified metadata missing.
   - Additional edit functions which can now be used with Select Area:
     Plugins [all], Fix Motion Blur, Chromatic Aberration, Match Colors, Mosaic.
   - Bugfix: crash when saving edited image with huge 'description' metadata.
   - Bugfix: Voodoo2 used after Flatten Dist could reduce the image size.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 14 Aug 2023 14:36:20 +0200

fotoxx (23.50-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - New: Repair > JPEG Artifacts - suppress jpeg artifacts in highly
     compressed images, esp. where dark areas were brightened, making artifacts
     more visible. This tool is helpful but does not completely remove the
     artifacts.
   - Refine > Edit Distribution can now be used together with Paint Edits.
   - Repair > Graduated Blur can now be used together with Paint Edits.
   - UI improvement: edits made before starting Paint Edits in the current edit
     function are preserved - no need to [apply] and restart the same function.
   - Custom Menu: menu entries can specify optional file or album names.
   - Bugfix: Paint Edits had a tendency to paint unintended area if pointer was
     left sitting within the image while dialog controls were changed.
   - Bugfix: Flatten Distribution was not working with Paint Edits (from 23.4).
  * From fotoxx-23.4
   - Refine > Flatten Distribution: improved functionality and user interface.
   - Refine > Edit Distribution: improved functionality and user interface.
   - Edit > Rotate: Upright and Mirror functions are now included in the Rotate
     function, and these two specialized functions were removed.
   - Repair > Blur: Normal Blur can now work with Paint Edits. The specialized
     function Paint Blur was removed. The user interface was also improved.
   - Mashup: project image files are now copied into a project folder. This
     keeps a project valid even if member files have been moved or deleted.
     Existing projects are converted, with "-x" added to the project name.
   - Refine > Voodoo1: now usable with Select Area (Voodoo2 already worked).
   - In menus and user guide, "rescale" has replaced "resize" when used for
     image pixel dimensions. This seems to be the normal convention.
   - New: Help > Uninstall: uninstall Fotoxx (delete all application files).
     This works for both the source package and the binary package.
   - New slide show transition: current image breaks apart into hundreds of
     pieces which fly outwards and off the screen to reveal the next image.
   - Custom Menu: custom notes or tips can now be added to the custom menu.
   - A custom folder icon 'folder.png' can be added to the Fotoxx home folder.
     This helps Fotoxx to follow the user's theme or style preference.
   - If Fotoxx crashes, the activity log file and backtrace file are combined
     and copied to the user $HOME folder. The file name is fotoxx-nn.n.log.
   - Bugfix: Batch Overlay: overlay image was being placed on the right side of
     the host image instead of the position set by the user.
   - Bugfix: fix failures from embedded quotes (") in file names or metadata.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 15 May 2023 20:10:17 +0200

fotoxx (23.32-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Bugfix: prevent malformed jpeg file from crashing Fotoxx.
   - Bugfix: compensate change in 'cp' command status '$?' (Arch & derivatives).

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 06 Apr 2023 18:28:42 +0200

fotoxx (23.31-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Image size limit was increased to 50K pixels width/height and 1024
     megapixels total image size. Exceeding this limit will cause sudden exit
     with apology.
   - Denoise: new option: work selectively on more uniform image areas where
     noise is most visible. This is adjustable and applies to all denoise
     methods.
     The point is not to wash out subtle small details interpreted as noise.
   - New: Repair > Anti-Alias: suppress jaggies along high-contrast feature
     edges.
     Most useful to improve scaled-up images. Normal photos are slightly
     affected.
   - New: Edit > Margins: add margins to an image, with any color or
     transparency.
   - Edit > Upright: all 8 categories of orientation are now recognized and
     used for image correction (rotate 90/180/270 and mirror
     horizontal/vertical).
     Batch Upright was similarly expanded.
   - Edit Distribution: a capability was added to improve details in areas that
     were darkened with "low cutoff" to remove unwanted background light.
   - Support was added for .avif image files (libheif-examples must be
     installed).
   - Rawtherapee and MPO-extract were revised to become plugin menu entries.
   - Settings: allow the SMP thread count to be set below the hardware default
     (2 per P-core + 1 per E-core). This can make some functions run faster.
   - Bugfix: parallel use of different releases caused crash or lost edits.
   - Bugfix: fix lost recognition of file types .webp .heic .jp2 .avif

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 04 Apr 2023 20:36:08 +0200

fotoxx (23.2-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Improved user interface and minor function improvements: Edit Metadata,
     View Metadata, Search Metadata, Flatten Distribution, Local Retinex.
   - Effects > Emboss: illumination angle can now be input, 0-360 deg.
     Response to input changes is real time instead of [apply] button.
   - New package format: binary program + libraries in one tarball.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 04 Mar 2023 20:35:47 +0100

fotoxx (23.1-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Search speed for non-indexed metadata is about 2x faster.
   - Indexing speed (index metadata + make thumbnails) is about 1.3x faster.
   - Disallow changes to reserved KB shortcuts - falsifies the user guide.
   - Bugfix: Mashup: add line/arrow was not working.
   - Bugfix: Minor memory leaks in image search function.
   - Bugfix: poss. crash in location lookup if input text had >20 matches.
   - Bugfix: missing file in appimage container - affects Arch Linux &
     relatives.
   - Bugfix: Mozaic: crash if dialog controls are operated in the wrong
     sequence.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 02 Feb 2023 12:46:29 +0100

fotoxx (23.0-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Edit Metadata and Batch Geotags: The MapQuest query to find geocoordinates
     quit working, now replaced with a free data table from the internet.
   - Error reporting for metadata edit functions was improved.
   - New: Meta > Fix Meta: remove malformed metadata blocking metadata edits.
   - Removed: Tools > Monitor Gamma, which no longer works with Wayland.
   - File > New Session is faster (unnecessary image file search was removed).
   - Initial default menu icon size was reduced so menu fits within 1024x768.
   - Bugfix: added libcogl files to appimage package, for non-Gnome desktops.
   - Bugfix: Meta > Search Images: metadata criteria is now recalled in search
     dialog and included in search criteria [load] and [save] functions.
   - Bugfix: Fix newest GCC [unnecessary] compiler warning.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 03 Jan 2023 15:26:27 +0100

fotoxx (22.50-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - File > Convert Adobe: Photoshop .psd files can now be converted to JPEG.
   - Repair > Blur: UI improvements, add missing edit history metadata.
   - The following edit functions can now be used with Paint Edits (mouse
     paint): Edit > Color Mode, Effects >
     Shift Colors, Effects > Texture, Effects > Emboss.
   - Batch > Convert: added capability to rename files using substring
     replacement.
   - Bugfix: Blur > Add Motion Blur, possible crash.
   - Bugfix: Fix inconsistent date formats, use yyyy-mm-dd throughout.
   - Add library files in the appimage container needed for Fedora 37.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 27 Nov 2022 18:50:03 +0100

fotoxx (22.41-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Bugfix: add missing library file in the appimage container.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 03 Nov 2022 08:30:47 +0100

fotoxx (22.40-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Defog: improved algorithm, new controls to add brightness, reduce blue.
   - Thumbnail popup image: zoom in/out via mouse wheel, +/- keys, arrow keys.
   - Manage Tags: categories having no tags can now be deleted.
   - Gallery metadata view: extra [user custom] indexed metadata items are now
     displayed following the standard items.
   - Gallery Screen: option added to select only files than have been edited.
   - Copy From Image: source and destination sync points both default to (0,0).
     This avoids the need to set the sync points for images that are already
     naturally overlaid, e.g. edited versions of the same image.
   - Tags per category limit was increased from 2K to 20K characters.
   - Some fatal error messages now have popups in addition to log file output
     (no need to hunt for the log file to get error details). 
   - Bugfix: user guide [recent] picklist: hang dead if no choice is made.
   - Bugfix: widgets for curve editing via mouse: sometimes refused to resize.
   - Bug workaround: GDK sometimes fails to update window (started with U22.04,
     gone after point release, returned with next point release).

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 02 Nov 2022 20:13:22 +0100

fotoxx (22.35-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Tools > Preferences renamed to Settings (conform with common convention).
   - Settings: the max. number of parallel working threads can be set by the
     user.
     (default value: number of CPU processor cores available)
   - New: Gallery > Gallery Screen: a quick and easy method to show one of the
     following gallery subsets: original images only, newest versions only, both
     of these, only unedited images, and/or those matching a text pattern.
   - New: Tools > Measure Image: click any two image positions to measure the
     pixel distances between the two positions: horizontal, vertical, and total.
   - New: Local Retinex can be mouse-painted to defog or enhance selected areas.
   - F11: if already fullscreen with menus, keep fullscreen and remove menus and
     panel (avoid toggle to unfullscreen first, then fullscreen without menus)
   - Settings > RAW Loader: there is a new option to provide a custom command to
     use for converting RAW files to .tif and loading them for subsequent edits.
   - If the last file in a gallery is deleted or trashed, open the previous
     file.
    (unchanged: deleting a NOT-last file opens the next file in the gallery.)
   - Bugfix: cancel a running search via escape key was not working.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 09 Oct 2022 14:48:29 +0200

fotoxx (22.31-1~xtradeb2) jammy; urgency=medium

  * New upstream release.
   - Slide Show: 'paplay' replaced with 'vlc' to support more audio file types.
   - Slide Show: [Start] begins with the first image in the album.
     [Resume] begins with the last image shown, or the one selected by clicking
     its thumbnail.
   - Denoise: 'flatten' method was improved - good for fine-grain noise.
   - Bugfix: denoise: poss. crash if 'voodoo' method mouse-painted at image
     edge.
   - Bugfix: Windows WSL: disable escape --> quit (auto kills next session).

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 04 Sep 2022 21:35:18 +0200

fotoxx (22.30-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   - Slide Show: new transition type: flip-tiles.
   - Keyboard numeric pad can be used for gallery navigation (also with
     num-lock).
   - New: Download Maps: download geographic map files for use with Fotoxx
    (fotoxx-maps package is now obsolete for fotoxx-22.30 and later).
   - Increase gesettings timeout to avoid bogus "not responding" from Mutter.
   - UI improvement: mouse-click with tiny motion is not mistaken as drag.
   - The program addr2line (package binutils) must be installed for Fotoxx.
     Previoulsy it was included in the appimage container, but this no longer
     works over multiple flavors and releases of Linux.
   - Bugfix: Adjust RGB: undo/redo was not working correctly.
   - Bugfix: New Session failed if current file contained embedded quotes.
   - Bugfix: Poss. crash if [ALL] folder tree raced up/down using arrow keys.
   - Bugfix: Flatten Photo: Possible crash with extreme flattening.
   - Bugfix: minor memory leak in gallery display code.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 16 Aug 2022 12:26:31 +0200

fotoxx (22.20-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
  * New: Batch > Convert Adobe: convert an Adobe document file (.pdf .ps .eps)
    into a set of jpeg files, 1 file per page. This uses ghostscript.
  * Warp > Stretch: Add or remove barrel or pincushion distortion. This can fix
    RAW file lens distortion when lens parameters are missing or ineffective.
  * Gallery Sort: new: sort by metadata from the Search function metadata report
    (e.g. sort results by camera + ISO + exposure time).
  * The function to add an overlay image (for credit, copyright ...) to selected
    host images was moved from Batch Convert to a new function, Batch Overlay. 
    The overlay image can also be placed anywhere on the host images.
  * Image captions can now be sourced from any metadata items. 
  * The utility to map camera pixel bias and compensate image files was removed. 
    It was too difficult to use and not very effective (for the cameras tested).

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 12 Jul 2022 21:27:44 +0200

fotoxx (22.18-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
  * Limited support was added for Adobe file types .pdf .ps .eps
  * CMYK jpeg files are now supported.
  * Copy/Move: move-to location is remembered, index to next file is optional.
  * Left mouse + ALT key works as right mouse (useful for touchscreen).
  * Removed kludges for GTK bug now fixed (source comment "not needed").
  * Line wrap implemented for long titles/descriptions displayed over image.
    This also applies for optional text display in slide show.
  * Repair > Denoise: new method added: Symmetric Nearest Neighbor.
  * Bugfix: parameters dialog: set image position option may crash.
  * Bugfix: parameters dialog: change map marker size did nothing.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 01 Jun 2022 21:31:30 +0200

fotoxx (22.16-1~xtradeb1) jammy; urgency=medium

  * New upstream release.
   * Tools > Popup Text: added [Edit] button for easier customization.
     (user-defined cache of special characters for input into text widgets)
   * Select > Copy/Complex: new tool for copy and paste of areas having complex
     and/or low-contrast boundaries. Similar to prior "Select Hairy".
   * Preferences: most changes no longer require an application restart.
   * PT Panorama was removed because underlying tool [Hugin] has disappeared.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 04 May 2022 20:28:24 +0000

fotoxx (22.15-1~xtradeb2) jammy; urgency=medium

  * Rebuild for jammy

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Fri, 15 Apr 2022 10:28:04 +0000

fotoxx (22.15-1~xtradeb1) focal; urgency=medium

  * New upstream release.
  * Windows WSL: speedup code was removed. Fotoxx under WSL is fast enough
    for image files in the Linux file system, e.g. /home/<user>/Pictures/...
  * Windows WSL: use higher tolerance for file mod-time difference detection.
  * New: Rename Folder: rename the current folder (image gallery).
  * Album Create: better UI direction when creating an initially empty album.
  * New: Batch Copy/Move: copy or move selected image files to a new folder.
  * Show RGB: reduce CPU loading: repaint only if a monitored pixel changes.
  * Developer menu: New: toggle display of popup text for mouse events.
  * Preferences: image justification in window can be left/center/right.
  * "Select Hairy" was incorporated into the main Select Area function.
    This is now easier to use, but still a significant learning curve.
  * New: Tools > Popup Text: popup special text/characters to use in edits.
  * Bugfix: Remove Halo: 'undo' drag: crash if pixel RGB is 0/0/0.
  * Bugfix: Crop: drag crop edge over window edge: drag fails to release.
  * Bugfix: Select > Edge Blend: zero contrast area creates 'nan' RGB values.
  * Bugfix: Markup > Oval: stop automatic draw of prior oval.
  * Bugfix: Copy From Image: set current scale into dialog widget.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 02 Apr 2022 06:52:37 +0000

fotoxx (22.14-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Montage: function was renamed to "Image Table" (makes a table of images).
   - Image Table:
      user can choose the background color (was: white only).
      table margin, image row and column spacing can now be set separately.
      downscaled images now have higher quality (compared to bilinear).
   - Copy in Image: more flexible source/destination location synchronization.
   - Copy/Move: auto index to next file if dialog is kept open.
   - Remove Halo: new: remove halo effect sometimes left by sharpen, etc.
   - Rotate: [crop] button in rotate dialog: auto-crop rotate margins.
   - Bugfix: Paint Image: correct default image for color selection.
   - Bugfix: use memmove() not strcpy() in double to string conversion.
   - Bugfix: Crop: [max] button result may be 1 pixel short of maximum size.
   - Bugfix: plug minor memory leak in File Save function.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 17 Mar 2022 10:17:59 +0000

fotoxx (22.12-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - GDK bug workaround: add window hide/show calls to force update.
   - Bugfix: crop [max] button was not working right for rotated image.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Fri, 04 Feb 2022 23:28:08 +0000

fotoxx (22.11-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Album Mass Update: report shows before/after files only where changed.
   - Batch Convert: new option: upsize files to specified width/height limits.
   - New: Effects > Soft Focus: simulate a classic analog photography method.
   - New gallery sort option: file names with numbers in same position now sort
     in numeric order, e.g. xxx1x.jpg < xxx3x.jpg < xxx23x.jpg < xxx101x.jpg
   - New: Gallery > Add Subfolder: add new subfolder to an existing folder.
   - Bugfix: Index may fail to refresh the current gallery for changed files.
   - Bugfix: Crop: fix small difference between input and actual image size.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 27 Jan 2022 22:01:42 +0000

fotoxx (22.1-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Update appimage libraries to those available in early 2020, and remove
     exiftool and dcraw in favor of the current release in user systems.
   - Gallery File Selection: thumbnails are highlighted when selected.
   - Escape key from gallery or map view mode: set file view mode.
   - Icons were redesigned and some menu names shortened.
   - Make thumbnail image brightness correspond to source image alpha channel.
   - Added hidden menu option for integrated developer tools.
   - Markup functions: now easier to make multiple markups in sequence.
   - Local Contrast: sporadic halos at edges of select area were eliminated.
   - Autosearch: location for search parameters file is saved_searches folder.
   - New: check and report required/optional outboard programs and functions.
   - Preferences: remove pick list, user can set any video play command.
   - Album Mass Update: popup report details album file changes made.
   - Bugfix: some RAW file thumbnails were rotated 90 degrees.
   - Bugfix: better detect inconsistent settings in Batch Convert dialog.
   - Bugfix: stop popup text windows from taking focus (stop minor nuisance).
   - Bugfix: copy/move: if current file is moved, set no current file.
   - Bugfix: if out of disk space during edit, warn user: save file and quit.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 04 Jan 2022 20:15:31 +0000

fotoxx (21.60-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - New: Composite > Show CIM Files: list input files for current function.
   - New option: blacklist file for folders/files which Fotoxx will ignore.
   - Bugfix: gallery select: range select via shift+Lmouse was not working.
   - Bugfix: correct bad TIFF tag, correct error checking of tiff files.
   - Appimage package: update dcraw to newest version.
   - Include Fotoxx release number in window title bar and EXIF edit history.
   - 1.8x speedup for large panoramas (>100 megapixels).
   - New: File > Remove Alpha: apply alpha to RGB and remove alpha channel.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 19 Oct 2021 11:18:01 +0000

fotoxx (21.55-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Tools > Preferences: 3 log levels: errors only, + info messages, + dialogs.
   - Gallery thumbnail click: update metadata view and edit dialogs, if active.
   - Edit > Copy in Image: retain relative source/target image positions until
     changed, and keep both mouse targets visible between mouse strokes.
   - Edit > Copy From Image: sync source/target positions via shift + left
     click.
   - Tools > Preferences: PNG file compression level was removed. This is now
     fixed at value 1 (for libpng). Higher values are ineffective and slower.
   - Repair > Sharpen > Richardson-Lucy: no longer necessary to manually fix
     the margins around a selected area for sharpening.
   - Select Area finish dialog: avoid redundant area fill, save some time.
   - First Startup, Index: add tip: how to compensate invalid/corrupted files.
   - Image Index: add more checks and messages for invalid/corrupted files.
   - Image Index: RAW file indexing + thumbnail creation: approx. 5x faster.
   - fotoxx.h: avoid incorrect GCC warning by adding superfluous brackets.
   - Bugfix: more checks for malformed RAW/TIFF files (avoid libtiff crash).
   - Bugfix: avoid call GTK function in thread (top panel update, crash risk).

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 03 Oct 2021 18:16:19 +0000

fotoxx (21.52-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Bugfix: missing menu icons caused by incorrect file permissions.
  * From the previous release 21.51
   - Usability: File/Gallery/Map menus now auto-set the corresponding view mode.
   - KB shortcuts: F2/F3/F4 are now mapped to file/gallery/map views. 
     F/G/M keys are now free for user assignment to these or other functions.
     Other changes were made to the default KB shortcuts table. To enable the 
     new defaults, delete the KB_shortcuts file in your Fotoxx home folder, 
     restart Fotoxx, and restore whatever customizations you wish to keep. 
   - Paint Edits: edits are now confined in select area as well as mouse radius.
   - Search Images: text search: match whole words with optional wildcards (*).
   - Markup > draw oval: improve mouse responsiveness.
   - Wayland bug work-around: move cursor failure causes popup menu failure.
   - Appimage package now includes support for file types .webp .heic .jp2.
   - Bugfix: Copy From Image failure (bug was planted in 21.44). 
   - Bugfix: edit of .heic file may cause crash.
   - Bugfix: Slide Show: option to show image title/description was not working.
   - Bugfix: ARM cpu: va_arg() returns 0x100000000 as EOL instead of null.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 05 Sep 2021 09:44:01 +0000

fotoxx (21.50-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - New: Enhance > Fog/Haze - add or remove fog/haze in image or selected area.
   - Cycle wallpaper: If secs = 0, next wallpaper is selected and Fotoxx exits.
   - Click map-marker at (0,0) for gallery of images with no geocoordinates.
   - Most edit functions now record input parameters in metadata Image History.
   - File > Open: diagnose wrong file type (e.g. .png file with .jpg type).
   - More changes to make Fotoxx faster on Windows/WSL (but still too slow).
     More info at: https://kornelix.net/fotoxx_topics/win10/install.html
   - Bugfix: Batch Delete/Trash: if GTK trash fails, offer to exit file loop.
   - Bugfix: stop loss of edit history if edited file is saved to 2+ files.
   - Bugfix: workaround for GTK unable to trash files on mounted volumes.
   - Bugfix: Enhance > Local Contrast was not always working with select area.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 02 Aug 2021 17:33:05 +0000

fotoxx (21.44-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   * Edit > Paint Edits: smoother and more consistent response. Dialog controls
     affect new mouse-strokes only - edits from prior strokes remain fixed.
   * New: File > Open Image File: folder file list instead of thumbnail gallery
     (useful for slow media, e.g. a camera SD card with thousands of images).
   * Changes to make Fotoxx work better with Windows/WSL (but still too slow).
   * New slide show transition 'stretch': new image stretches over old image.
   * Tools > Resources: change from log file report to popup window report.
   * Warp > Unbend: bending increments made 1/3 as large, for finer control.
   * Set index level at startup: parameter options are now -x0, -x1, -x2.
   * Bugfix: Voodoo2 was incorrectly downsizing the image file.
   * Bugfix: Crop: fix 'off-by-one' errors - crop dimensions ↔ user inputs.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 03 Jul 2021 09:51:04 +0000

fotoxx (21.42-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   + bugfix: crash after startup if invalid prior gallery

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 15 Jun 2021 06:58:54 +0000

fotoxx (21.41-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   * bugfix: plug minor memory leaks.
   * bugfix: color depth: this was not working beyond range 1-8 bits/color.
   * Edit Any Metadata: user interface is easier to use and more capable.
   * User Guide: [Recent] button added: pick-list of recently viewed topics.
   * Appimage container now includes dcraw, exiftool, dwebp, libwebp.
     (Eliminate separate user installs if not already present)
   * Change .css style for slider widgets to stop annoying shift under pointer.
     NOTE: delete widgets.css in your fotoxx home folder to force a refresh.
   * Search > metadata search: add option for input of any metadata keyword.
   * Batch > Batch Move Meta: new tool to unify metadata stored in overlapping
     and conflicting keys, e.g. 'description' and 'caption'.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 01 Jun 2021 14:03:28 +0000

fotoxx (21.40-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   + Installation and Settings
    - Appimage menu integration: executable is now placed in ~/.local/bin/
      (XDG convention for user-installed apps and menu integration).
    - Optional logging of user actions: menus, dialog controls, etc.
      (useful to document an action sequence or trace a problem).
    - Keyboard keys: '+' '-' 'Ctrl/+' 'Ctrl/-' are reserved for zoom-in/out.
    - Use EXIF 'usercomments' instead of 'comments' (apparent common practice).
    - Temp folder changed to make relocation possible: ~/.fotoxx/temp/temp-<pid>
   + New Functionality
    - Enhance > Saturation: adjust color saturation, optionally based on
      brightness level, optionally within selected areas or mouse-painted.
    - Select > Edge Blend: mouse-blend selected edges of area edits.
    - Meta > Toggle Captions: set display of image captions/comments ON/OFF.
    - Meta > Copy Meta: copy metadata from one image file into another
      (e.g. set composite image metadata from one of the input images).
    - Help > Recent Topics: show recent activity -> choose -> User Guide.
   + Improvements
    - Select Hairy: user interface is somewhat simpler and easier to use.
    - Select Hairy: new option: merge selection in place, for subsequent edits.
    - Batch metadata funcs: sync thumbnail mod times to avoid later index time.
    - Local Contrast: improved algorithm quality, reduced halo effects.
    - Copy/Move: added overwrite warning and option to cancel. 
    - When a new image is opened, immediately remove any leftover popup notice.
    - Retain up to 100 KB of log file history (helpful for problem tracking).
    - Metadata short report: better formatting of edit history, more detail.
    - Search: location search can use either wildcard or substring matching.
    - Voodoo2 (auto image enhancement) was made 3x faster.
    - Panorama: the image limit was increased from 4 to 6 images horizontally.
      (User Guide explains how to combine panoramas for more than 6 images).
    - Paint Edits: responds to mouse movements faster, fine-control is easier.
    - Simplifed management of edit threads - also a minor performance gain.
    - Improved avoidance of OOM killer and substitution of error message.
    - Smart Erase: better logic for .png image containing alpha channel. 
   + Bug Fixes
    - Several minor memory leaks were plugged.
    - Stop file of recent files from growing beyond 1000 entries
    - Appimage menu integration failed if ~./local/share/ missing 
    - Batch Report Metadata: crash if selected files list has deleted files
    - Resize: correct calculation of image size limits
    - Fix crash from malformed TIFF files

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 07 Apr 2021 18:22:05 +0000

fotoxx (21.34-1~xtradeb2) focal; urgency=medium

  * Remove metainfo/appstream

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 14 Mar 2021 13:01:19 +0000

fotoxx (21.34-1~xtradeb1) focal; urgency=medium

  * New upstream release.
    - bugfix: global retinex: [All] spin button was not working.
    - Add TIFF tag for alpha channel, avoid TIFF warning messages.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 13 Mar 2021 13:02:19 +0000

fotoxx (21.33-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - bugfix: cancel 'select hairy' followed by 'undo' resulted in crash.
   - bugfix: incorrect memory test resulted in OOM kill instead of message.
   - minor rearrangements in Help > About and Help > Privacy.
   - Copy/Move: added option to overwrite existing file.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 25 Feb 2021 20:08:27 +0000

fotoxx (20.08-2) unstable; urgency=medium

  * debian/control:
    - Add dcraw to Depends. (closes: #955727)
      Thanks to Alberto Luaces for the bug report and patch.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 04 Apr 2020 13:54:45 -0300

fotoxx (20.08-1) unstable; urgency=medium

  * New upstream version 20.08
  * debian/copyright:
    - Update Copyright Years and contact email
    - Add https to Upstream contact webpage
    - Add license CC0 to appdata/fotoxx.metadata.xml
  * debian/patches:
    - Removes patch 0001-Add-primary-category-to-desktop-file.patch.
      (Applied by upstream)
    - Adds patches for switching off 'phone home' by default.
      Removes old 0002-Do-not-phone-home.patch.
    - Adds 0002-manage-has-bad-whatis-entry.patch
      Fix manpage line breaks and 'what is' section.
    - Adds/Edit Patches headers.
    - Updates series file.
  * debian/control:
    - Bumps Standars Version to 4.5.0.
    - Adds Rules-Requires-Root: no.
    - Updates package Description.
    - Updates suggests packages.
    - Adds https to Homepage field.
  * debian/rules:
    - Removes override_dh_link and override_dh_fixperms-arch.
      Not needed anymore.
    - Removes extra license file.

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 24 Feb 2020 12:45:54 -0300

fotoxx (19.17-1) unstable; urgency=medium

  [ Santiago Torres Batan ]
  * debian/watch: Fix watch URL pattern
  * New upstream version 19.17
  * debian/compat: No needed it anymore as switch to dh 12
  * debian/copyright: Update copyright years
  * debian/control:
    - Update debhelper version to 12
    - Bumps Standars-Version 4.4.1
  * debian/patches: Remove applied by upstream patches:
    - Fix-cross-compilation.patch
    - Fix-ftbfs-in-freebsd.patch
    - fix-FTBFS-using-clang-instead-of-gcc.patch
  * debian/patches: Add patches and update series file
    - debian/patches/0001-Add-primary-category-to-desktop-file.patch
    - debian/patches/0002-Do-not-phone-home.patch
  * Remove debian/fotoxx-common.doc-base:
    - Not suitable documentation file, avoid installing it.
  * Finalize debian/changelog

  [ Maximiliano Curia ]
  * watch file: use https uris
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 14 Oct 2019 13:44:36 +0200

fotoxx (18.07.2-1) unstable; urgency=medium

  [ Santiago Torres Batan ]
  * New upstream version 18.07.2 (closes: #916010)
  * Refresh Patches
  * d/control: Update Build-Depends, Recommends and Suggests
  * d/rules: Add +bindnow flag to DEB_BUILD_MAINT_OPTIONS

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jan 2019 12:58:16 -0300

fotoxx (18.07-1) sid; urgency=medium

  [ Maximiliano Curia ]
  * Update Vcs fields

  [ Santiago Torres Batan ]
  * Bumps Standards-Version
  * New upstream version 18.07
  * Updated Copyright Years.
  * Refreshed Patches
  * debian/rules: Remove trailing spaces
  * Fixed HTML documentation filepaths in debian/rules
    and fotoxx-common.doc-base

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 13 Aug 2018 15:42:18 -0300

fotoxx (18.01.1-2) sid; urgency=medium

  * New revision
  * Call the chmod only on arch builds (Closes: 886704)
    Thanks to Norbert Preining for the report.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 16 Jan 2018 11:04:51 -0300

fotoxx (18.01.1-1) sid; urgency=medium

  [ Santiago Torres Batan ]
  * debian/copyright: update years.
  * debian/control: Bump to Standards-Version 4.1.1. No changes.
  * debian/patches
    - Added Fix-cross-compilation.patch.
    Thanks to Helmut Grohne. (closes: #866524)
  * debian/fotoxx.install
    - Do not install fotoxx-snap, /usr/bin/fotoxx duplicate
      Fix lintian warning
  * Fix Appstream metadata path and permissions (lintians warning)
    - debian/rules: override dh_fixperms
    - fotoxx.install: fix path

  [ Maximiliano Curia ]
  * New upstream release (18.01.1).
  * Bump Standards-Version to 4.1.3.
  * Refresh patches
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 04 Jan 2018 16:00:14 -0300

fotoxx (17.08.1-1) sid; urgency=medium

  * New upstream release (17.08.1).
  * Bump to Standards-Version 4.0.1, change priority to optional
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Aug 2017 00:10:16 +0200

fotoxx (16.11.1-1) unstable; urgency=medium

  * New upstream release (16.11.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 13 Dec 2016 15:03:38 +0100

fotoxx (16.11-1) unstable; urgency=medium

  * New upstream release (16.11).
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Nov 2016 16:32:46 +0100

fotoxx (16.10.3-1) unstable; urgency=medium

  * New upstream release (16.10.3).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Oct 2016 13:30:12 +0100

fotoxx (16.10.1-1) unstable; urgency=medium

  * New upstream release (16.10.1).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Oct 2016 10:40:08 +0200

fotoxx (16.08.1-1) unstable; urgency=medium

  * New upstream release (16.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Sep 2016 18:10:34 +0200

fotoxx (16.08-1) unstable; urgency=medium

  * New upstream release (16.08).
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Add libraw-dev build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 08 Aug 2016 23:42:13 +0200

fotoxx (16.05.1-1) unstable; urgency=medium

  [ Santiago Torres Batan  ]
  * New Upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 May 2016 18:46:41 +0200

fotoxx (16.03.1-1) unstable; urgency=medium

  [ Santiago Torres Batan  ]
  * New Upstream release.

  [ Maximiliano Curia ]
  * New upstream release (16.03.1).
  * Add new patch: 0002-fix-FTBFS-using-clang-instead-of-gcc.patch.
    Thanks to Arthur Marble for the report and the patch (Closes: #812720)
  * Bump Standards-Version to 3.9.7, no changes needed.
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Mar 2016 11:01:19 +0200

fotoxx (15.11.1-3) unstable; urgency=medium

  * Improve the dh_link rule so it doesn't end with the same file in both
    packages. (Closes: #804701)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Nov 2015 19:49:42 +0100

fotoxx (15.11.1-2) unstable; urgency=medium

  * Add patch: 0001-Fix-ftbfs-in-freebsd.patch

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Nov 2015 13:27:03 +0100

fotoxx (15.11.1-1) unstable; urgency=low

  [ Maximiliano Curia ]
  * New upstream release (15.11.1).
  * Drop patches applied upstream.

  [ Santiago Torres Batan ]
  * debian/copyright
    - Updated years and Source URL.

  * debian/control
    - Added hugin to Suggests packages.

  * debian/menu
    - Delete menu file as .Desktop is provided by package.

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 10 Nov 2015 03:48:21 -0300

fotoxx (14.10.2-1) unstable; urgency=medium

  [ Santiago Torres Batan ]
  * New upstream release
  * wrap-and-sort

  * debian/control
    - Added Vcs-{Browser,Git}
    - Bump Standards-Version to 3.9.6

  * debian/patches
    - Deleted makefile_changes.patch, privacy-breach-generic_fix.patch
      (were partially applied)
    - 0001-Do-not-track-users.patch: removes the code that counts users.
    - 0002-Do-not-check-for-new-releases.patch: removes the code that
      tries to download new releases. (closes: #761828)
    - 0003-Remove-Geo-download-function: removes insecured download function

  * debian/rules
    - Removed USE_XDG flag. No more needed because of upstream changes in
      Makefile.

  * debian/copyright
    - Upgraded to format 1.0

  [ Maximiliano Curia ]
  * Update copyright license to GPL-3+.
  * Add myself to the uploaders list.
  * New upstream release (14.10.2).
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Oct 2014 22:20:36 +0200

fotoxx (14.07.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control
    - Moved libexiftool-perl from Recommends to Depends.
    - Replaced xgd-open with xdg-utils (closes: #743330),
      and moved to Depends.
    - Added dcraw to Depends.
    - Replaced ufraw-batch to ufraw. (closes: #755853)
    - Added rawtherapee, imagemagick, brasero and gimp to Suggests.
    Thanks for the bug reports.

  * debian/compat
    - Bump to version 9.

  * debian/patches
    - Deleted desktop_fix.patch, applied by upstrean.
    - Deleted rename_mutex_type.patch, applied by upstream.
    - Created privacy-breach-generic_fix.patch
    - Refresh patches.

  * debian/rules
    - Switched to version's 9 format.

  * debian/copyrigth
    - Updated upstream email.

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 24 Jul 2014 12:27:54 -0300

fotoxx (14.03.1-1) unstable; urgency=medium

  * New upstream release (closes: #683347)

  * Applied non maintainer changes. Thanks to Jakub Wilk.

  * debian/watch
    - Update download URL

  * debian/patches
    - Moved documentation back to doc/fotoxx and deleted docs_dir.patch.
      Thanks to Maximiliano Curia.
    - Added fotoxx.h and zfuncs.cc files to mutex_rename.patch.
    - Refreshed all patches.
    - Created dektop_fix.patch to fix .desktop using desktop-file-validate.

  * debian/control
    - Bump Standars-Version to 3.9.5.
    - Updated build dependency from libtiff4-dev to libtiff-dev
      (closes: #736003)
    - Added liblcml2-dev to Build-Depends.
    - Created fotoxx-common package for independent arquitecture data.
    - Updated Fotoxx Homepage.

  * debian/copyright
    - Updated copyright years for the upstream.

  * debian/rules
    - Export buildflags.
    - Remove rules that delete some no longer installed files.

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 15 Mar 2014 12:36:13 -0300

fotoxx (11.11.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rename mutex type to mutex_tp (closes: #665676). Thanks to Michael Biebl
    for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 29 Apr 2012 15:51:13 +0200

fotoxx (11.11.1-1) unstable; urgency=low

  * New upstream release

  * debian/watch
    -Fix lintian warning: debian_watch_contains_dh_make_template

  * debian/rules
    -Remove -XTRANLATIONS -XCHANGES params in dh_compress.
    -Fix lintian warning: debian_rules_missing_recommends_targets
    -Add symlink to avoid duplicate documentation at intalldocs rule.
    -Remove unnecessary files.

  * debian/control
   -Bump Standars-Version to 3.9.2
   -Remov libfreeimage-dev, libimage-exiftool-perf from
     Build-Depends
   -Add xgd-utils and libimage-exiftool-perf to Recommends
   -Add brasero to Suggests

  * debian/copyright
    -Update copyright to 2010, 2011

  * debian/patches/
    -Fix lintian warning format-3.0-but-debian-changes-patch and
     (closes: #643119) by creating:
    -docs_dir.patch: changes upstream sources for the program to
     know where documentation is installed
    -makefile_changes.patch: edit makefile for installation
     Removes the depencies check by dependencies.sh. (closes: #622315)
     Fix FTBFS with binutils-gold. (closes: #610545)
     fotoxxfotoxx.desktop was created by mistake. (closes: #610544)
     Thanks to Mahyuddin Susanto.

  * debian/doc-base
    -Register fotoxx user guide documentation.

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 07 Nov 2011 16:37:55 -0300

fotoxx (10.7-1) unstable; urgency=low

  * New upstream release
  * debian/control
    -Bump Standars-Version to 3.9.0 No further changes.
    -Changed Reccommends: ufraw-batch instead of ufraw. closes: #583084.

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 08 Jul 2010 18:24:21 -0300

fotoxx (10.3.1-1) unstable; urgency=low

  * New upstream release
  * Switch to quilt (3.0)
  * debian/control
    -Bump Standars-Version to 3.8.4 No further changes.
    -Added libtiff4-dev to Build-Depends.
  * New versions of fotoxx don't suggest printoxx anymore. closes: #582244

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 22 May 2010 13:37:32 -0300

fotoxx (9.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Wed, 06 Jan 2010 23:03:44 -0300

fotoxx (8.7-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 26 Nov 2009 18:59:39 -0300

fotoxx (8.6.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 29 Oct 2009 19:34:43 -0300

fotoxx (8.6-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 13 Oct 2009 23:05:46 -0300

fotoxx (8.5.2-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Sat, 10 Oct 2009 13:06:31 -0300

fotoxx (8.4.3-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Tue, 22 Sep 2009 08:08:16 -0300

fotoxx (8.4.1-1) unstable; urgency=low

  * New upstream release

 -- Santiago Torres Batan <santi73@gmail.com>  Mon, 14 Sep 2009 22:44:23 -0300

fotoxx (8.3-1) unstable; urgency=low

  * Initial release (Closes: #504360)

 -- Santiago Torres Batan <santi73@gmail.com>  Thu, 20 Aug 2009 12:27:47 -0300
